<!--
  Generated template for the PokemonPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar color="pokemonRed">
    <ion-title> {{ base.name }} </ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding class="body">
  <ng-container *ngIf="!!pokemon">
    <div class="image-container">
      <img [src]="pokemon.sprites.front_default" width="100" height="100">
      <img [src]="pokemon.sprites.back_default" width="100" height="100">
    </div>
    <div class="attributes">
      <div class="attributes-header">
        <span>Types</span>
      </div>
      <div class="attributes-body">
        <span class="type" *ngFor="let type of pokemon.types">
          {{ type.type.name | uppercase }}
        </span>
      </div>
      <div class="attributes">
        <div class="attributes-header">
            <span>Abilitites</span>
        </div>
        <div class="attributes-body">
          <span class="type" *ngFor="let ability of pokemon.abilities">
            {{ ability.ability.name | uppercase }}
          </span>
        </div>
      </div>
    </div>
  </ng-container>
</ion-content>
<ion-footer>
  <button ion-button full (click)="openPokemonMoves()" color="pokemonRed">Moves</button>
</ion-footer>
